<template>
  <div>
    <template v-if="action == 'add'">
      <el-button
        v-shortkey="['enter']"
        type="primary"
        icon="el-icon-plus"
        @shortkey.native="btnDoAction"
        @click="btnDoAction"
      >新增</el-button>
      <el-button
        v-shortkey="['esc']"
        icon="el-icon-refresh-right"
        @shortkey.native="btnBackToList"
        @click="btnBackToList"
      >取消</el-button>
    </template>
    <template v-if="action == 'update'">
      <el-button
        v-shortkey="['enter']"
        type="primary"
        icon="el-icon-edit"
        @shortkey.native="btnDoAction"
        @click="btnDoAction"
      >修改</el-button>
      <el-button
        v-shortkey="['esc']"
        icon="el-icon-refresh-right"
        @shortkey.native="btnBackToList"
        @click="btnBackToList"
      >取消</el-button>
    </template>
    <template v-if="action == 'delete'">
      <el-button
        v-shortkey="['enter']"
        type="danger"
        icon="el-icon-delete"
        @shortkey.native="btnDoAction"
        @click="btnDoAction"
      >刪除</el-button>
      <el-button
        v-shortkey="['esc']"
        icon="el-icon-refresh-right"
        @shortkey.native="btnBackToList"
        @click="btnBackToList"
      >回上頁</el-button>
    </template>
    <template v-if="action == 'view'">
      <el-button
        v-shortkey="['esc']"
        type="primary"
        icon="el-icon-refresh-right"
        @shortkey.native="btnBackToList"
        @click="btnBackToList"
      >回上頁</el-button>
    </template>
  </div>
</template>

<script>
import { clearAction, getAction } from '@/utils/common'
export default {
  data() {
    return {
      action: getAction()
    }
  },
  methods: {
    btnDoAction() {
      this.$emit('submit', this.action)
    },
    btnBackToList() {
      clearAction()
      this.$router.push({ path: 'list' })
    }
  }
}
</script>
